
 LinHES - Feature # 173: Backup and restore need more feedback

Status: Closed Priority: High
Author: tjc Category: Packages: Core
Created: 02/10/2009 Assignee: brfransen
Updated: 12/12/2010 Due date: 01/10/2011
Description: Currently it can be very difficult to tell when the backup or restore scripts are done because there isn't any 

type of visual feedback on the menu screen, and especially no indication of success or failure.  It should be 
fairly simple to add some kind of indicator to the screen.  I could be something as simple as a bit of text listing 
the most recent successful backup, say "Last good backup completed on 02/10/2009 @ 23:09".

I've given this a priority boost because mystery results (like lack of button feedback) are always disconcerting 
to users and it should be fairly simple to do.

Associated revisions
06/09/2010 02:01 pm - brfransen
LinHES-system: Update mythbackup and mythrestore to show OSD status during backup and restore. Adds description to the menu item showing the 
last backup and restore. Only displays in themes that show description line in menu items. Closes #173

History
03/21/2010 03:09 am - smilerish
I'd second this for another reason: audio only feedback is very unhelpful if you don't have audio. It'd be nice to have both audio and visual feedback, 
with an indication that it's still doing something so you know it hasn't crashed.

Is it possible to show an indeterminate progress bar, like MythVideo and MythMusic do when they're scanning for new files?

06/09/2010 11:54 am - brfransen
- Assignee set to brfransen

- Target version set to 7.1

- Due date set to 08/08/2010

- Category set to Packages: Core

06/09/2010 11:54 am - brfransen
- Tracker changed from Bug to Feature

06/09/2010 02:05 pm - brfransen
- % Done changed from 0 to 100

- Status changed from New to Closed

Applied in changeset commit:"7ccfbf5195f1e9259029d8f2208116a823bb008a".
